Loading...
Searching...
No Matches
Halide::Runtime::Internal::Vulkan::VulkanMemoryConfig Struct Reference

`#include <vulkan_memory.h>`

## Public Attributes

size_t | maximum_pool_size = 0
size_t | minimum_block_size = 4 * 1024
size_t | maximum_block_size = 0
size_t | maximum_block_count = 0
size_t | nearest_multiple = 32

## Detailed Description

Definition at line 25 of file vulkan_memory.h.

## Member Data Documentation

## maximum_pool_size

size_t Halide::Runtime::Internal::Vulkan::VulkanMemoryConfig::maximum_pool_size = 0

Definition at line 26 of file vulkan_memory.h.

## minimum_block_size

size_t Halide::Runtime::Internal::Vulkan::VulkanMemoryConfig::minimum_block_size = 4 * 1024

Definition at line 27 of file vulkan_memory.h.

## maximum_block_size

size_t Halide::Runtime::Internal::Vulkan::VulkanMemoryConfig::maximum_block_size = 0

Definition at line 28 of file vulkan_memory.h.

## maximum_block_count

size_t Halide::Runtime::Internal::Vulkan::VulkanMemoryConfig::maximum_block_count = 0

Definition at line 29 of file vulkan_memory.h.

## nearest_multiple

size_t Halide::Runtime::Internal::Vulkan::VulkanMemoryConfig::nearest_multiple = 32

Definition at line 30 of file vulkan_memory.h.

The documentation for this struct was generated from the following file:

- src/runtime/vulkan_memory.h